Bug 1250677 - [abrt] tracer: default.py:68:render_interactive:TypeError: __init__() takes exactly 3 arguments (2 given)
[abrt] tracer: default.py:68:render_interactive:TypeError: __init__() takes e...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tracer (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Kadlčík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:60908a3b31f558c0adf79cda441...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 14:36 EDT by Alan
Modified: 2016-07-19 13:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (755 bytes, text/plain)
2015-08-05 14:36 EDT, Alan
no flags Details
File: environ (4.72 KB, text/plain)
2015-08-05 14:36 EDT, Alan
no flags Details

  None (edit)
Description Alan 2015-08-05 14:36:53 EDT
Description of problem:
type command: tracer -iat 1438798693.83 in terminal

Version-Release number of selected component:
tracer-0.5.9-3.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/tracer -iat 1438798693.83
executable:     /usr/bin/tracer
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
default.py:68:render_interactive:TypeError: __init__() takes exactly 3 arguments (2 given)

Traceback (most recent call last):
  File "/usr/bin/tracer", line 34, in <module>
    tracer.main.run()
  File "/usr/lib/python2.7/site-packages/tracer/main.py", line 42, in run
    return router.dispatch()
  File "/usr/lib/python2.7/site-packages/tracer/resources/router.py", line 59, in dispatch
    controller.render_interactive()
  File "/usr/lib/python2.7/site-packages/tracer/controllers/default.py", line 68, in render_interactive
    helper_controller = HelperController(self.args)
TypeError: __init__() takes exactly 3 arguments (2 given)

Local variables in innermost frame:
self: <tracer.controllers.default.DefaultController object at 0x7f8192cf7fd0>
Comment 1 Alan 2015-08-05 14:36:56 EDT
Created attachment 1059596 [details]
File: backtrace
Comment 2 Alan 2015-08-05 14:36:57 EDT
Created attachment 1059597 [details]
File: environ
Comment 3 Jakub Kadlčík 2015-08-10 04:48:22 EDT
Hello, thank you for the feedback.

Modified in: 53aace9

The fixed package is already waiting for bodhi karma:

https://admin.fedoraproject.org/updates/FEDORA-2015-12980/tracer-0.6.2-1.fc22
Comment 4 Fedora Update System 2016-02-08 09:17:03 EST
tracer-0.6.7-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d0a431ea5e
Comment 5 Fedora End Of Life 2016-07-19 13:22:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.